精华内容
下载资源
问答
  • java 自定义异常

    2015-07-21 09:52:11
    java自定义异常java自定义异常的介绍,如何创建自定义异常,如何使用自己创建的自定义异常。
  • Java自定义异常

    2020-10-11 09:07:54
    Java自定义异常

    Java自定义异常

    参考文章:

    (1)Java自定义异常

    (2)https://www.cnblogs.com/schangxiang/p/11179314.html


    备忘一下。


    展开全文
  • Java 自定义异常

    2017-10-17 15:13:58
    Java 自定义异常



    自定义异常类,继承 Exception,super 内的内容可以根据实际需求自定义

    public class MyException extends Exception {
    
    	/**
    	 * 
    	 */
    	private static final long serialVersionUID = 1L;
    	
    	public MyException(String msg) { 
            super("自定义异常消息:"+msg); 
        } 
    	
    	public MyException(String msg, int code){
    		super("错误信息:"+msg+ " , 错误代码: "+code);
    	}
    
    }
    

    使用自定义异常:

    1.直接throws 不处理,抛到上级

    public static void main(String[] args) throws MyException {
    		String str = "自定义异常";
    		if ("自定义异常".equals(str)) {
    			throw new MyException("0001" ,"我是自定义异常");
    		}
    	}


    2.try...catch() 搭配使用

    	public static void main(String[] args) throws MyException {
    		String str = "自定义异常";
    		try {
    			isThrow(str);
    		} catch (MyException e) {
    			System.out.println("我是自定义异常");
    		} catch (Exception e) {
    			System.out.println("我是Exception异常");
    		}
    	}
    	
    	public static void isThrow(String str) throws MyException{
    		if ("自定义异常".equals(str)) {
    			throw new MyException("我是自定义异常", 0001);
    		}
    	}

    注:

            自定义异常与 try...catch() 搭配使用时,自定义异常必须要放在 Exception 之前,否则异常信息会 Exception 捕获,永远到不了 自定义异常类型中。



    展开全文
  • JAVA自定义异常

    2015-04-15 19:12:07
    JAVA自定义异常

    Java异常机制可以保证程序更安全和更健壮。虽说Java类库已经提供很多可以直接处理异常的类,但是有时候为了更加精准地捕获和处理异常以呈现更好的用户体验,需要开发者自定义异常。本文就是探讨如何自定义异常以及使用自定义的异常。

      在进行程序开发的过程中,自定义异常遵循以下四个步骤:

      1)首先创建自定义异常类,语法格式:自定义异常类名 extends Exception。

      2)在方法中通过关键字throw抛出异常对象。

      3)若是在当前抛出异常的方法中处理异常,可以用try-catch语句捕获并处理;若不是,在方法的声明处通过关键字throws指明要抛出给方法调用的异常。

      4)在出现异常方法的调用中捕获并处理异常。

      接下来,通过一个简单的程序来说明自定义异常和使用自定义异常

    1
    DBException.java
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    public class DBException extends RuntimeException {
      
        private static final long serialVersionUID = 1L;
      
        public DBException() {
            super();
        }
      
        public DBException(String message, Throwable cause,
                boolean enableSuppression, boolean writableStackTrace) {
            super(message, cause, enableSuppression, writableStackTrace);
        }
      
        public DBException(String message, Throwable cause) {
            super(message, cause);
        }
      
        public DBException(String message) {
            super(message);
        }
      
        public DBException(Throwable cause) {
            super(cause);
        }
      
    }
    测试代码:
    DBExceptionTest.java 
    public class DBExceptionTest {
      
        @Test
        public void dbtest() {
            try {
                double a = 1 0;
                System.out.println(a);
            catch (Exception e) {
                throw new DBException("除数不能为0");
            }
        }
    }
    结果为:

    com.store.shopping.exception.DBException: 除数不能为0

    at com.store.shopping.exception.DBExceptionTest.dbtest(DBExceptionTest.java:13)

    在自定义异常的时候本应该继承字Exception类,但在实际应用中只需要继承RuntimException就好了。RuntimException也继承了Exception

    展开全文
  • java自定义异常

    2019-05-30 18:04:18
    java自定义异常: 1.自定义受检查类型: public class SelfException extends Exception{ /** * message:为发生异常的信息 */ private static final long serialVersionUID = 1L; public SelfException...

    java自定义异常:

    1.自定义受检查类型:

    public class SelfException extends Exception{
        /**
         *   message:为发生异常的信息
         */
        private static final long serialVersionUID = 1L;

        public SelfException(String message) {
            super(message);
        }
    }

    public class Tran {
        public static void avg(int age) throws SelfException{
            if(age < 0) {
                throw new SelfException("age不能为0");
            }
            else {
                System.out.println("今年"+age+"岁了");
            }
        }
        public static void main(String[] args) {
            try{
                avg(-1);
            }catch (SelfException e) {
                e.printStackTrace();
            }
        }
    }

    结果:exception.exception_practice.SelfException: age不能为0
        at exception.exception_practice.Tran.avg(Tran.java:6)
        at exception.exception_practice.Tran.main(Tran.java:14)

     

    展开全文
  • Java面向对象设计 - Java自定义异常我们可以创建我们自己的异常类。它们必须扩展现有的异常类。 class extends {}<Class Name> is the exception class name.创建一个MyException类,它扩展了java.lang....

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 6,085
精华内容 2,434
关键字:

java自定义异常

java 订阅